Update payment linkAsk AIpatch https://api.mollie.com/v2/payment-links/{paymentLinkId}Certain details of an existing payment link can be updated. Access withAPI keyOrganization access token with payment-links.writeOAuth access with payment-links.writePath ParamspaymentLinkIdstringrequiredProvide the ID of the related payment link.Body Paramsdescriptionstringlength โค 255A short description of the payment link. The description is visible in the Dashboard and will be shown on the customer's bank or card statement when possible. Updating the description does not affect any previously existing payments created for this payment link.minimumAmountobjectThe minimum amount of the payment link. This property is only allowed when there is no amount provided. The customer will be prompted to enter a value greater than or equal to the minimum amount.minimumAmount objectarchivedbooleanWhether the payment link is archived. Customers will not be able to complete payments on archived payment links.allowedMethodsarray of strings | nullAn array of payment methods that are allowed to be used for this payment link. When this parameter is not provided or is an empty array, all enabled payment methods will be available. Possible values: applepay bacs bancomatpay bancontact banktransfer belfius billie blik creditcard eps giftcard ideal in3 kbc klarna mbway multibanco mybank paybybank paypal paysafecard pointofsale przelewy24 riverty satispay swish trustly twint voucherallowedMethodsADD stringlinesarray of objects | nullOptionally provide the order lines for the payment. Each line contains details such as a description of the item ordered and its price. All lines must have the same currency as the payment. Required for payment methods billie, in3, klarna, riverty and voucher.linesADD objectbillingAddressobjectThe customer's billing address details. We advise to provide these details to improve fraud protection and conversion. Should include email or a valid postal address consisting of streetAndNumber, postalCode, city and country. Required for payment method in3, klarna, billie and riverty.billingAddress objectshippingAddressobjectThe customer's shipping address details. We advise to provide these details to improve fraud protection and conversion. Should include email or a valid postal address consisting of streetAndNumber, postalCode, city and country.shippingAddress objecttestmodebooleanWhether the entity was created in test mode or live mode. This field does not update the mode of the entity. Most API credentials are specifically created for either live mode or test mode, in which case this parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting testmode to true.Responses 200The payment link object. 404No entity with this ID exists. 422The request contains issues. For example, if no parameters are provided.Updated 14 days ago